//---------------------------------------------------------------------------
#include <vcl.h>
#include "Globals.h"

#pragma hdrstop
USERES("MenuEdit32.res");
USEFORM("TempGame.cpp", Form1);
USEUNIT("Globals.cpp");
USEFORM("Tiles.cpp", TileForm);
USEFORM("MiniMap.cpp", MiniForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR lpCommandLine, int)
{
    
    try
    {
      Application->Initialize();
      Application->Title = "Menu Editor";
      Application->CreateForm(__classid(TForm1), &Form1);
      Application->CreateForm(__classid(TTileForm), &TileForm);
      Application->CreateForm(__classid(TMiniForm), &MiniForm);
      Application->Run();
    }
    catch (Exception &exception)
    {
      Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
